Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet.event
Interface WindowListener

All Known Implementing Classes:
  WindowAdapter

public interface WindowListener

The `WindowListener` interface must be implemented, if an object wishes to receive events from a portlet window. The implemented listener then has to be registered with the respective event source.

Author:
  Thomas F. Boehme
See Also:
  `WindowEvent`, `WindowAdapter`

Method Summary
`void` | `windowClosed(WindowEvent event)` Notifies this listener that a portlet window has been closed.
`void` | `windowClosing(WindowEvent event)` Notifies this listener that a portlet window is about to be closed.
`void` | `windowDetached(WindowEvent event)` Notifies this listener that a portlet window has been detached.
`void` | `windowMaximized(WindowEvent event)` Notifies this listener that a portlet window has been maximized.
`void` | `windowMinimized(WindowEvent event)` Notifies this listener that a portlet window has been minimized.
`void` | `windowRestored(WindowEvent event)` Notifies this listener that a portlet window has been restored from being minimized or maximized, respectively.

Method Detail

### windowDetached

    public void windowDetached(WindowEvent event)

  Notifies this listener that a portlet window has been detached.

  Parameters:
    `event` - the window event

### windowMaximized

    public void windowMaximized(WindowEvent event)

  Notifies this listener that a portlet window has been maximized.

  Parameters:
    `event` - the window event

### windowMinimized

    public void windowMinimized(WindowEvent event)

  Notifies this listener that a portlet window has been minimized.

  Parameters:
    `event` - the window event

### windowClosing

    public void windowClosing(WindowEvent event)

  Notifies this listener that a portlet window is about to be closed.

  Parameters:
    `event` - the window event

### windowClosed

    public void windowClosed(WindowEvent event)

  Notifies this listener that a portlet window has been closed.

  Parameters:
    `event` - the window event

### windowRestored

    public void windowRestored(WindowEvent event)

  Notifies this listener that a portlet window has been restored from being minimized or maximized, respectively.

  Parameters:
    `event` - the window event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.